Capacity Rules
GET
/workspaces/{workspaceId}/inbox/capacity
Retrieve list of capacity rule
Parametry zapytania
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.workspaceId
string
wymagane
results.name
string
wymagane
results.description
string
wymagane
results.default
boolean
results.capacity
object
wymagane
Pokaż atrybuty podrzędne
results.capacity.messaging
integer
results.capacity.email
integer
results.assignedAgentIds
array of string
results.createdAt
string
results.updatedAt
string
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/capacity
Create Capacity Rule
Treść żądania
name
string
wymagane
description
string
wymagane
default
boolean
capacity
object
wymagane
Pokaż parametry podrzędne
capacity.messaging
integer
wymagane
capacity.email
integer
wymagane
agents
array of string
Treść odpowiedzi
id
string
wymagane
workspaceId
string
wymagane
name
string
wymagane
description
string
wymagane
default
boolean
capacity
object
wymagane
Pokaż atrybuty podrzędne
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Get a Capacity Rule
Treść odpowiedzi
id
string
wymagane
workspaceId
string
wymagane
name
string
wymagane
description
string
wymagane
default
boolean
capacity
object
wymagane
Pokaż atrybuty podrzędne
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Update Capacity Rule
Treść żądania
name
string
description
string
default
boolean
capacity
object
Pokaż parametry podrzędne
capacity.messaging
integer
wymagane
capacity.email
integer
wymagane
Treść odpowiedzi
id
string
wymagane
workspaceId
string
wymagane
name
string
wymagane
description
string
wymagane
default
boolean
capacity
object
wymagane
Pokaż atrybuty podrzędne
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Przykład kodu
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Delete a Capacity Rule
Przykład kodu
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
Assign Capacity Rule
Treść żądania
agents
array of string
wymagane
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
get agents assigned to Capacity Rule
Treść odpowiedzi
agents
array of string
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'